Subject: Re: Building guile 2.x under mingw + msys

From: Andy Wingo <[email-masked]>
Date: Tue, 10 Jan 2012 23:00:35 +0100

Hi Commander Sirow,

On Tue 03 Jan 2012 16:46, Commander Sirow <[email-masked]> writes:

> so I've been trying to build guile 2.0.3 from source with mingw (gcc 4.6.2) + msys.

Thanks for the report!  There are enough things to track down here that
I opened a bug report, and put you on the Cc.

On Tue 03 Jan 2012 16:46, Commander Sirow <[email-masked]> writes:

> make[3]: Entering directory `/home/Commander/guile-2.0.3/libguile'
>   GEN    guile-procedures.texi
> Throw without catch before boot:
> Throw to key system-error with args ("canonicalize-path" "~A" ("No such file or
> directory") (2))Aborting.

AIUI the canonicalize_path binding that gnulib provides for mingw ends
up shelling out to `rm' and other commands.  They claim that it is
reasonable to install these on a mingw system; I don't know.  But is it
possible that you don't have these files?

See http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/25451/focus=25466.

> Throw to key misc-error with args ("primitive-load-path" "Unable to find file ~S
>  in load path" ("ice-9/boot-9") #f)Aborting.

Let's deal with the first one first.

Regards,

Andy
-- 
http://wingolog.org/